
CoCoA-5 - Support #558

CoCoAManual: semi-automatic check of all input

14 May 2014 17:31 - Anna Maria Bigatti

Status: Closed Start date: 14 May 2014

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 8.00 hours

Target version: CoCoA-5.1.0 Easter14 Spent time: 8.25 hours

Description

Extract from the manual the input of the examples into a file; then run it in cocoa.

2014-07  Run make ManExamples in the CoCoA-5 directory.

Related issues:

Related to CoCoA-5 - Support #542: CoCoAManual: improve part on data-types Closed 23 Apr 2014

Related to CoCoA-5 - Support #521: Manual: automatically check all examples Closed 04 Apr 2014

History

#1 - 14 May 2014 17:34 - Anna Maria Bigatti

- Category set to Manual/documentation

- Target version set to CoCoA-5.1.0 Easter14

- % Done changed from 0 to 100

(corrected code for AllExamples.C)

Run make ManExample

this creates ManExamples-out.cocoa5.

Give it as input to cocoa: now it works cleanly!!

Manual much more reliable now

2014-07 further improvements: just run make ManExamples in CoCoA-5 dir

#2 - 14 May 2014 17:34 - Anna Maria Bigatti

- Status changed from New to Closed

#3 - 14 May 2014 17:38 - Anna Maria Bigatti

- Priority changed from Normal to High

#4 - 02 Jul 2014 16:47 - Anna Maria Bigatti

- Subject changed from Manual: semi-automatic check of all input to CoCoAManual: semi-automatic check of all input

#5 - 06 Mar 2017 16:16 - John Abbott

- Related to Support #521: Manual: automatically check all examples added
